Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine.image
Class SmallGrayImage

    java.lang.Object
      com.rie.rieps.engine.image.SmallGrayImage

All Implemented Interfaces:
  Image

    public class SmallGrayImage

extends java.lang.Object
implements Image

This class generate Black and White image from a file.

Author:
  Yves Piel

Field Summary
`static int` | `CONVERT_MODE_AVERAGE` to convert color image int o gray, this method is the most simplest.
`static int` | `CONVERT_MODE_CIE_601` the 601 CIE (International Commission on Illumination), non-linear with gamma correction.
`static int` | `CONVERT_MODE_CIE_709` The 709 CIE (International Commission on Illumination), true colors.

Constructor Summary
`SmallGrayImage(int convert_mode)` If convert_mode is unknown value, it uses @see{CONVERT_MODE_AVERAGE}.

Method Summary
`java.lang.StringBuffer` | `getPSImage()`
`void` | `load(java.awt.image.BufferedImage img)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERT_MODE_AVERAGE

    public static final int CONVERT_MODE_AVERAGE

  to convert color image int o gray, this method is the most simplest. it does : (R+G+B)/3 for each pixel.

  See Also:
    Constant Field Values

### CONVERT_MODE_CIE_709

    public static final int CONVERT_MODE_CIE_709

  The 709 CIE (International Commission on Illumination), true colors. it does : 0.2125*R + 0.7154*G + 0.0721*B

  See Also:
    Constant Field Values

### CONVERT_MODE_CIE_601

    public static final int CONVERT_MODE_CIE_601

  the 601 CIE (International Commission on Illumination), non-linear with gamma correction. It does : 0.299*R + 0.587*G + 0.114*B

  See Also:
    Constant Field Values

Constructor Detail

### SmallGrayImage

    public SmallGrayImage(int convert_mode)

  If convert_mode is unknown value, it uses @see{CONVERT_MODE_AVERAGE}.

  Parameters:
    `convert_mode` - the convert color to gray mode.

Method Detail

### load

    public void load(java.awt.image.BufferedImage img)
              throws RiepsException

  Specified by:
    `load` in interface `Image`
  Throws:
    `RiepsException`

### getPSImage

    public java.lang.StringBuffer getPSImage()
                                      throws RiepsException

  Specified by:
    `getPSImage` in interface `Image`
  Throws:
    `RiepsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD